SystemOrganization addCategory: #ConfigurationOfMagritte2!

Object subclass: #ConfigurationOfMagritte2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMagritte2'!

!ConfigurationOfMagritte2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:04'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMagritte2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:04'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfMagritte2 class methodsFor: 'loading' stamp: 'DaleHenrichs 1/22/2010 11:04'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfMagritte2 class methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 11:04'!
project

	^self new project! !

!ConfigurationOfMagritte2 methodsFor: 'baselines' stamp: 'DaleHenrichs 1/22/2010 14:37'!
baseline2000: spec
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/magritte2'. 
		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-alpha2-baseline';
					loads: #('Grease-Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Seaside30' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.0-alpha5.6-baseline';
					loads: #('Core');
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			yourself.
		spec 
			package: 'Magritte-Model' with: [
				spec requires: #('Grease' )];
			package: 'Magritte-Tests-Model' with: [
				spec requires: #('Magritte-Model')];
			package: 'Magritte-Seaside' with: [
				spec requires: #('Magritte-Model' 'Seaside30')];
			yourself. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo-Model' 'Magritte-Morph') ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-Pharo-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-Pharo-Seaside')];

			package: 'Magritte-Pharo-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-Pharo-Model' with: [
				spec requires: #('Magritte-Pharo-Model' )];
			package: 'Magritte-Pharo-Seaside' with: [
				spec requires: #('Magritte-Seaside')];

			package: 'Magritte-Morph' with: [
				spec requires: #('Magritte-Model' )];
			yourself.
		spec
			group: 'default' with: #('Core' 'Tests');
			group: 'Core' with: #('Magritte-Model' );
			group: 'Tests' with: #('Magritte-Tests-Model')
			yourself. ].
! !

!ConfigurationOfMagritte2 methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 11:04'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 1/31/2010 11:31'!
version200: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'Initial version of Magritte 2.0 for Seaside 3.0'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/22/2010 14:42'.
		spec 
			project: 'Grease' with: '1.0-alpha4';
			project: 'Seaside30' with: '3.0.0-alpha5.6'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-jf.391';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-NickAger.10';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-NickAger.328';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.21';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-jf.2';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-jf.4';
			package: 'Magritte-Morph' with: 'Magritte-Morph-NickAger.50'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 2/9/2010 12:10'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up later version of Seaside3.0 (3.0.0-alpha5.7)
- Magritte-Seaside-lr.329
  - fixed some bugs that were introduced with some recent seaside verisons'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/31/2010 17:04'.
		spec 
			project: 'Grease' with: '1.0-alpha5.1';
			project: 'Seaside30' with: '3.0.0-alpha5.7'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-jf.391';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-NickAger.10';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.329';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.21';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-jf.2';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-jf.4';
			package: 'Magritte-Morph' with: 'Magritte-Morph-NickAger.50'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/1/2010 14:59'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- Magritte-Model
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
- Magritte-Morph
  - added package description and url for all packages
- Magritte-Pharo-Model, Magritte-Pharo-Seaside
  - added repository URL
- Magritte-Seaside
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
  - merged late latest fixes from Magritte
- Magritte-Tests-Model, Magritte-Tests-Pharo-Model
  - added repository URL
  - added package description and url for all packages
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/1/2010 14:59'.
		spec 
			project: 'Grease' with: '1.0-alpha6';
			project: 'Seaside30' with: '3.0.0-alpha5.9'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.394';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.12';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.333';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/29/2010 12:41'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest mcz files (3/29/2010 11:30)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/29/2010 11:34'.
		spec 
			project: 'Grease' with: '1.0-alpha7';
			project: 'Seaside30' with: '3.0.0-alpha5.10'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.394';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.12';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.335';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 4/9/2010 16:28'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec description: '- pick up latest mcz files (4/9/2010 16:28)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/29/2010 11:34'.
		spec 
			project: 'Grease' with: '1.0-alpha7';
			project: 'Seaside30' with: '3.0.0-alpha5.10'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.394';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.12';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.335';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !
